attribute vec4 a_position;
uniform vec2 u_origin;
uniform float u_tile;
uniform float u_cell;
varying float v_height;
varying vec2 v_texCoords;
varying vec3 v_level;

void main()
{
   v_texCoords = vec2(a_position.x / u_tile, a_position.z / u_tile);
   v_height = a_position.w;
   v_level.x = min(v_height * 2.0,1.0);
   v_level.y = min(max(v_height-0.5,0.0) * 4.0, 1.0);
   v_level.z = min(max(v_height-0.75,0.0) * 4.0, 1.0);
   gl_Position =  vec4(( (a_position.x-u_origin.x) / u_cell)-1.0, ((a_position.z-u_origin.y) / u_cell)-1.0, 0, 1);
}